---
layout: docs
page_title: workers list - Command
description: >-
  The "workers list" command lists available worker resources in a scope or resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# workers list

Command: `boundary workers list`

The `boundary workers list` command lets you list the Boundary workers in a scope or resource.

## Example

This example lists all workers in the `global` scope:

```shell-session
$ boundary workers list
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary workers list [options] [args]
```

</CodeBlockConfig>

### Command options

- `-filter=<string>` - If set, Boundary filters the list operation before the results are returned.
The filter operates against each item in the list.
We recommend that you use single quotes, because the filters contain double quotes.
Refer to the [Filtering and listing resources documentation](/boundary/docs/filtering) for more details.
- `recursive` - If set, runs the list operation recursively on any child scopes, if the type supports it.
The default value is `false`.
- `scope-id=<string>` - The scope from which to list the workers.
The default value is `global`.
You can also specify this value using the **BOUNDARY_SCOPE_ID** environment variable.

@include 'cmd-option-note.mdx'